<?php

namespace Drupal\comment_mailer\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * NewCommentController controller.
 */
class NewCommentController extends ControllerBase {

  /**
   * Returns a render-able array for the page.
   */
  public function content() {

    // getting comment params
    $page_request = \Drupal::request();
    $values['num'] = $page_request->query->get('num');
    $values['last'] = $page_request->query->get('last');
    $values['date'] = $page_request->query->get('date');
    $values['hash'] = $page_request->query->get('hash');
    $values['url'] = $page_request->query->get('url');
    $values['title'] = $page_request->query->get('title');

    // prepare params for human
    $data = '';
    foreach ($values as $key => $value) {
      if ($value) {
        $data .= $key . ': ' . $value . "<br>";
      }
    }

    // handling mail sending
    $mailManager = \Drupal::service('plugin.manager.mail');

    $module = 'comment_mailer';
    $key = 'new_comment';
    $to = 'YOUR@MAIL.COM';
    $params['message'] = $data;
    $langcode = \Drupal::currentUser()->getPreferredLangcode();
    $send = true;

    $result = $mailManager->mail($module, $key, $to, $langcode, $params, NULL, $send);

    // add send result to data
    $data .= 'send_result' . ': ' . $result['result'] . "<br>";

    // add log record
    \Drupal::logger('comment_mailer')->notice($data);

    $build = [
      '#markup' => $data,
    ];
    return $build;
  }

}
